#!/bin/sh
#set -x

#must running this script with root
if [ $(id -u) != "0" ]; then
   echo "You must be root to run this script."
   echo "use \"sudo sh install_chrome.sh\" instead."
   exit 1
fi

#first locate the tar file

if [ -f Chrome_SDK.gz ]; then
   #make Chrome_extension folder under /usr/share/ePad folder
   if [ ! -d /usr/share/ePad/Chrome_extension ]; then
      mkdir /usr/share/ePad/Chrome_extension
      if [ "$?" != "0" ]; then
         echo "can not create Chrome_extension under /usr/share/ePad, installer quit"
         exit 2; 
      fi
   fi
   tar -m -C /usr/share/ePad/Chrome_extension -xf Chrome_SDK.gz
   if [ "$?" = "0" ]; then
      cd /usr/share/ePad/Chrome_extension
      #need to copy the file to /etc/opt/chrome/native-messaging-hosts
      if [ ! -d /etc/opt/chrome ]; then
         mkdir /etc/opt/chrome
      fi 
      if [ ! -d /etc/opt/chrome/native-messaging-hosts ]; then
         mkdir /etc/opt/chrome/native-messaging-hosts
      fi 
      cp -p /usr/share/ePad/Chrome_extension/SDK/Chrome-NativeMessagingHost/Linux/com.topaz.epadvision.win.json /etc/opt/chrome/native-messaging-hosts/

      chmod 666 /etc/opt/chrome/native-messaging-hosts/com.topaz.epadvision.win.json

      echo "Chrome installer finished" 
      exit 0;
   else
      echo "can not untar Chrome_SDK.gz, installer quit"
      exit 3;
   fi
else
   echo "can not find the Chrome_SDK.gz at the same folder, installer quit" 
   exit 4;
fi
